import importlib.metadata

try:
    from dunamai import Version, Style

    __version__ = Version.from_git().serialize(style=Style.SemVer, dirty=True)
except ImportError:
    # __name__ can be used if the package name is the same
    # as the directory. Otherwise, specify it explicitely.
    __version__ = importlib.metadata.version(__name__)
